missing libmcrypt in default yum repository

Due to an unknown reason the libmcrypt and libmcrypt-devel packages are not included in default yum repository for Centos 6. So, when you compile or installs php from scl  repo, you may get the following error message.

Error: Package: php54-php-mcrypt-5.4.40-1.el6.x86_64 (remi-php54more-epel-6-x86_64) Requires: libmcrypt.so.4()(64bit)

The only solution is install these packages from Fedora Epel repository.

yum install epel-release.noarch

and then install mentioned packages using

yum install libmcrypt-devel.x86_64 libmcrypt



missing libmcrypt in default yum repository

Leave a Reply

Your email address will not be published. Required fields are marked *

Fork me on GitHub